<template>
    <div class="basket__buy-wrapper">
        <div class="basket__buy">
            <div class="basket__buy-line title">
                <p class="basket__buy-total">Итого:</p>
                <p class="basket__buy-price"><span>{{ total }}</span> Руб.</p>
            </div>
            <div class="basket__buy-line pred">
                <p class="basket__buy-text">Предметов</p>
                <p class="basket__buy-text">{{ count }}</p>
            </div>
<!--            <hr class="basket__hr smallMr">-->
<!--            <a class="basket__buy-line banks" href="">-->
<!--                <p class="basket__bank-title">Банковская карта</p>-->
<!--                <svg width="16" height="9" viewbox="0 0 16 9" fill="none" xmlns="http://www.w3.org/2000/svg">-->
<!--                    <path d="M1 1L8 8L15 1" stroke="#FF8231" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"></path>-->
<!--                </svg>-->
<!--            </a>-->
            <div class="basket__banksCard">
                <div class="marketBottom__checkbox-wrapper">
                    <input class="marketBottom__checkbox" id="first" type="checkbox">
                    <label class="marketBottom__checkbox-custom" for="first"></label>
                    <p class="marketBottom__checkbox-text">8235 **** **** 8219</p>
                </div>
                <div class="marketBottom__checkbox-wrapper">
                    <input class="marketBottom__checkbox" id="second" type="checkbox">
                    <label class="marketBottom__checkbox-custom" for="second"></label>
                    <p class="marketBottom__checkbox-text">7766 **** **** 0214</p>
                </div>
            </div>
            <hr class="basket__hr">
            <slot/>
            <Link class="button basket__button flex" :href="route('dashboard.chat')"> Перейти к покупке </Link>
        </div>
    </div>
</template>

<script setup>
import {useForm} from "@inertiajs/vue3";
import {UseBasket} from "@/Stores/BasketStore";
import {Link} from "@inertiajs/vue3";

const basket = UseBasket();

const props = defineProps({
    total:Number,
    count:Number,
})

const form = useForm({
    products: basket.items,
    total: basket.total,
    count: basket.count,
});

const buy = () => {
    form.products = basket.items

    form.post(route('dashboard.pay'), {
         // onFinish: () => basket.clearAllCart,
        preserveScroll: true
    });
}
</script>

